package com.ruoyi.project.zjsgfa.mapper;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjTgTgxnsj;

/**
 * 设计信息-套管性能数据Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-17
 */
public interface SjTgTgxnsjMapper 
{
    /**
     * 查询设计信息-套管性能数据
     * 
     * @param id 设计信息-套管性能数据主键
     * @return 设计信息-套管性能数据
     */
    public SjTgTgxnsj selectSjTgTgxnsjById(Long id);

    /**
     * 查询设计信息-套管性能数据列表
     * 
     * @param sjTgTgxnsj 设计信息-套管性能数据
     * @return 设计信息-套管性能数据集合
     */
    public List<SjTgTgxnsj> selectSjTgTgxnsjList(SjTgTgxnsj sjTgTgxnsj);

    /**
     * 新增设计信息-套管性能数据
     * 
     * @param sjTgTgxnsj 设计信息-套管性能数据
     * @return 结果
     */
    public int insertSjTgTgxnsj(SjTgTgxnsj sjTgTgxnsj);

    /**
     * 修改设计信息-套管性能数据
     * 
     * @param sjTgTgxnsj 设计信息-套管性能数据
     * @return 结果
     */
    public int updateSjTgTgxnsj(SjTgTgxnsj sjTgTgxnsj);

    /**
     * 删除设计信息-套管性能数据
     * 
     * @param id 设计信息-套管性能数据主键
     * @return 结果
     */
    public int deleteSjTgTgxnsjById(Long id);

    /**
     * 批量删除设计信息-套管性能数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjTgTgxnsjByIds(Long[] ids);

    int deleteSjTgTgxnsjByJh(String jh);

    int insertSjTgTgxnsjBatch(List<SjTgTgxnsj> sjTgTgxnsjList);


}
